com.abbyy.mobile.rtr

## Interface IDataCaptureCoreAPI.DataCaptureSettings

- Enclosing interface:
    IDataCaptureCoreAPI

      public static interface IDataCaptureCoreAPI.DataCaptureSettings

  Basic settings applicable to most methods

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IDataCaptureProfileBuilder` | `configureDataCaptureProfile()`
    `void` | `setAreaOfInterest(android.graphics.Rect areaOfInterest)` Sets the area of interest.
    `void` | `setProfile(java.lang.String profile)` Set profile name
    `void` | `setRecognitionLanguage(Language... languages)` Deprecated.
    `void` | `setTextOrientationDetectionEnabled(boolean enabled)` Determines whether orientation detection will be used.
    `void` | `setTextTypes(TextCapture.TextType... textTypes)` Sets the text types to be used for recognition.

- - ### Method Detail

    - #### setRecognitionLanguage

          @Deprecated
          void setRecognitionLanguage(Language... languages)

      Deprecated.
      Sets the languages to be used for recognition.

      By default, only English language is set. Setting the correct languages for your text will improve recognition accuracy. However, setting too many languages may slow down performance.

      Parameters:
        `languages` - one or more languages to be used for recognition

    - #### setProfile

          void setProfile(java.lang.String profile)

      Set profile name
      Parameters:
        `profile` - is the data capture profile
      Throws:
        `java.lang.IllegalArgumentException` - if profile is wrong

    - #### setTextOrientationDetectionEnabled

          void setTextOrientationDetectionEnabled(boolean enabled)

      Determines whether orientation detection will be used.

      Simply - determining where the top of the picture is. If disabled and picture isn't rotated correctly the text will not be detected. Enabled by default.

      Parameters:
        `enabled` - boolean flag - is page orientation detection enabled or not.

    - #### setAreaOfInterest

          void setAreaOfInterest(android.graphics.Rect areaOfInterest)

      Sets the area of interest.

      By default, no area of interest is selected.

      Parameters:
        `areaOfInterest` - the rectangle specifying the area of interest

    - #### setTextTypes

          void setTextTypes(TextCapture.TextType... textTypes)

      Sets the text types to be used for recognition.

      By default, only the 'Normal' text type is set. This is sufficient in most cases. Setting the correct text type for your text could improve the accuracy of recognition. However, setting multiple text types may slow down the performance.

      Parameters:
        `textTypes` - one or more text types to be used for recognition

    - #### configureDataCaptureProfile

          IDataCaptureProfileBuilder configureDataCaptureProfile()